Bug 169812 - Creation of images fails because process exits abnormal after kernelversion is not resolved properly
Creation of images fails because process exits abnormal after kernelversion i...
Product: Fedora
Classification: Fedora
Component: kadischi (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Chitlesh GOORAH
Depends On:
  Show dependency treegraph
Reported: 2005-10-03 18:06 EDT by Heiko Zschenderlein
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version: 0.1-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-03-15 10:10:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Heiko Zschenderlein 2005-10-03 18:06:39 EDT
Description of problem:
Kadischi performs all steps to create the LIVE Installation but fails then when
it tries to create the initrd image after performed install.There is also a "can
t find file/folder" error in regards to the tmpfs when the installation is done.

Version-Release number of selected component (if applicable):
Linux DENETY5NB10L961.EM.AVNET.EU 2.6.13-1.1526_FC4 #1 Wed Sep 28 19:15:10 EDT
2005 i686 i686 i386 GNU/Linux
Older Kernels (2.6.11, 2.6.12) failed as well
FC4 Source DVD copied to hdd
kadischi.py 0.01
kadischi --kickstart=/usr/local/share/kadischi/ks_examples/minimal-livecd.cfg
/home/sources/FC4 /tmp/test.iso

How reproducible:
Every time i try to create a live cd the same error occours

Steps to Reproduce:
1. Install Kadischi and patch all neccessary files (like given in the readme)
2. Start Kadischi to create a Live System (doesn matter if kickstart or manual)
4. Installation Process works fine, system finishes virtual Installation
3. After creation of the Live System and befor creating the images it failes.
Actual results:
> making initrd image
> /tmp/livecd-build_no11/system/lib/modules/None is not a directory.
> Installation exits abnormal

Expected results:
A image for usage as a Live System

Additional info:
Comment 1 Ignacio Vazquez-Abrams 2005-10-17 17:20:53 EDT
What happens is that no kernel ends up getting installed. I'm not sure why
anaconda would skip it, but it seems that it is.
Comment 2 Jasper O. Hartline 2005-11-02 20:50:20 EST
You know, I'm not experiencing this behaviour from my setup.
I am inclined to ask, here that someone see if this might be the problem here in
the file /usr/lib/anaconda/hdrlist.py Have a look below:

hdrlist.py file changes made due a suggestion on a anaconda list.

def preordered(self):
        preordered = 1
        for h in self.pkgs.values():
            if h.isSelected() and not h[1000003]:
                preordered = 0
        return preordered
    #def preordered(self):
    #    preordered = 1
    #    for h in self.pkgs.values():
    #        if h.isSelected() and h[1000003] == None:
    #            preordered = 0
    #        if h.isSelected() and not 1000003 in h.hdr.keys():
    #            preordered = 0
    #    return preordered
Excuse for the messiness.
What you see above is code commented out that is otherwise not right
(so the anaconda-devel-list said).

If one of you guys knows pythin, perhaps you can confirm or deny this would have
anything to do with your situation here.
Hope this helps.
Comment 3 Uli 2005-12-14 01:32:01 EST
I encounter the same problem.

> /tmp/livecd-build_no5/system/lib/modules/None is not a directory.

It doesn't seem to have anything to do with /usr/lib/anaconda/hdrlist.py. I
changed the code but the problem persists.

Is there any debug information I may provide?
Comment 4 S Cant 2005-12-28 20:37:07 EST
I suspect that the problem in with the anaconda installer.  Despite reporting
that it installed the kernel, the ../kadischi/functions.py(get_kernal_version)
cannot find the installed kernel.  I added debug messages in this module.

Here is the output of anaconda:
Installing mkinitrd-4.2.15-1...  Installing...
Done [100/269]
Installing kernel-2.6.11-1.1369_FC4...  Installing...
Done [101/269]
Installing hal-0.5.2-2...  Installing...
Done [102/269]

Here is the debugging put into functions.py:

>       flc_log ("--> get_kernel_version  rootdir[%s]" % rootdir)  #debug#
>         hdr = ts.dbMatch()  #debug#
>         for h in hdr:  #debug#
>             print "%s-%s-%s" % (h['name'], h['version'], h['release'])  #debug#
>       flc_log ("<-- get_kernel_version  kernel_version[%s]" % kernel_version)
Comment 5 tony 2006-01-07 03:03:54 EST
I have been fighting with this for a while too. Darko suggested that I hard code
the kernel version in livecd-mkinitrd.sh line 105

This allowed the make process to complete but the resulting CD won't boot
because there is no vmlinuz etc.
Comment 6 Wade Mealing 2006-01-07 03:27:16 EST

From what I see, the kernel version is not being resolved, because the kernel is
not being installed.

Check out /boot/ , in the install environment that I am in, the kernel is not
being installed, even though the anaconda log file states that it is.

Solve the kernel installation problem, and the rest of the CD builds properly.

I force installed it with

rpm --root=/myrootdir kernel-version.rpm 

this fails with initscripts 

initscripts >= 5.83 is needed by kernel-version.i686

however this installs fine

rpm --root=/myrootdir initscripts.rpm

So, it seems that anaconda is failing to install the initscripts.. for some reason.
Comment 7 Jasper O. Hartline 2006-01-08 22:48:30 EST
I have just successfully built a minimal LiveCD, I used minimal to just test the
mkinitrd problem. I am suspicious sort of, if you guys are using all stock
packages, or are trying to get your own user compiled or Fedora Core updated
kernels installed.. please specify.

Here is all I did:
Got kadischi CVS, ./autogen.sh && make && make install
Edit /etc/kadischi/build.conf to reflect /pub/LIVE for Build Directory.
Patched anaconda.py and flags.py
Transferred all stock Fedora Core 4 files to /pub/Fedora
Ran kadischi
Finished, no problems.

If you are trying to deviate from this basic instructions here, I would
suggest users look into genhdlist and pkgorder. You must reflect the changes
needed to Anaconda, else he won't know to or not to install a kernel.

[root@SMP-NODE-1 pub]# pwd
[root@SMP-NODE-1 pub]# ls -l FC4-i386-LIVECD.ISO
-rw-r--r--  1 root root 247513088 Jan  8 19:40 FC4-i386-LIVECD.ISO
[root@SMP-NODE-1 pub]#

Comment 8 Jasper O. Hartline 2006-01-23 13:42:17 EST
If you guys could patch functions.py with the patch included in:
see if that resolves the issue for you.
Comment 9 Ron Yorston 2006-02-12 08:30:44 EST
I'm seeing this problem too.  This is with a standard FC4 repository on a local
FTP server.  According to the install.log file everything is fine until
initscripts comes to be installed.  Then we get:

Installing initscripts-8.11.1-1.i386.
error: %pre(initscripts-8.11.1-1.i386) scriptlet failed, exit status 255
error:   install: %pre scriptlet failed (2), skipping initscripts-8.11.1-1
Installing cyrus-sasl-2.1.20-5.i386.
error: %post(cyrus-sasl-2.1.20-5.i386) scriptlet failed, exit status 255
Installing cyrus-sasl-md5-2.1.20-5.i386.
Installing lvm2-2.01.08-2.1.i386.
Installing mkinitrd-4.2.15-1.i386.
Installing kernel-2.6.11-1.1369_FC4.i686.
error: %pre(kernel-2.6.11-1.1369_FC4.i686) scriptlet failed, exit status 255
error:   install: %pre scriptlet failed (2), skipping kernel-2.6.11-1.1369_FC4

So, no initscripts and no kernel.  I'm at a loss to understand why the %pre
scriptlets for initscripts and the kernel should fail.
Comment 10 Chitlesh GOORAH 2006-03-15 10:10:32 EST
fixed and cvs version updated:

Note You need to log in before you can comment on or make changes to this bug.